Instagram Platform

Instagram (IG) Hashtag

Updated: Mar 3, 2025
Copy for LLM
Represents an Instagram hashtag.

Limitations

  • Only available for Facebook Login for Business

Creating

This operation is not supported.

Reading

GET /<IG_HASHTAG_ID>
Returns Fields and Edges on an IG Hashtag.

Limitations

You can query a maximum of 30 unique hashtags within a 7 day period.

Requirements

Type Description
Instagram Public Content Access
instagram_basic
If the token is from a User whose Page role was granted via the Business Manager, one of the following permissions is also required: ads_management, business_management, or pages_read_engagement.
Tokens
The app user’s User access token.

Request Syntax

GET https://graph.facebook.com/<IG_HASHTAG_ID>
  ?fields={fields}
  &access_token={access-token}

Query String Parameters

Include the following query string parameters to augment the request.
Key Value
access_token
Required
String
The app user’s Instagram User Access Token.
fields
Comma-separated list
A comma-separated list of Fields and Edges you want returned. If omitted, default fields will be returned.

Fields

You can use the fields query string parameter to request the following Fields on an IG Hashtag.
Field Name Description
id
The hashtag’s ID (included by default). IDs are static and global.
name
The hashtag’s name, without the leading hash symbol.

Edges

You can request the following edges as path parameters or by using the fields query string parameter.
Edge Description
Get a list of the most recently published photo and video IG Media objects published with a specific hashtag.
Returns the most popular photo and video IG Media objects that have been tagged with the hashtag.

Response

A JSON-formatted object containing default and requested Fields.
{
  "<FIELD_NAME>":"<FIELD_VALUE",
  ...
}

Sample Request

GET https://graph.facebook.com/17841593698074073
  ?fields=id,name
  &access_token=EAADd...

Sample Response

{
  "id": "17841593698074073",
  "name": "coke"
}

Updating

This operation is not supported.

Deleting

This operation is not supported.